﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 540B: (1 yr) VER IEEE /9500/600+4Hd
DATE:                  2017-01-27 05:41:11
AUTHOR:                Fluke
REVISION:              $Revision: 18758 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       235
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500B, 600B & TDS 700A Digitizing Oscilloscopes
#        Service Manual, Part No. 070-9721-02
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V

# Verify MET/CAL version compatibility.
  1.012  MATH         @ReqMetCalVersion = "7.20x"
  1.013  CALL         Sub MET/CAL Version Check

  1.014  IF           NOT(@MetCalVersionOK)
  1.015  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.015  DISP         or later.
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub High Voltage Safety Warning
  1.020  CALL         Sub Select Failed Test Mode
  1.021  CALL         Sub Select Verification Method

  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  HEAD         UUT IDENTIFICATION
  1.024  TARGET
  1.025  CALL         Sub TDS500/600/700 Setup IEEE
  1.026  IEEE2        *RST;DESE 61
  1.027  WAIT         -t 4 System Initializing ...
  1.028  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.029  MATH         L[1] = ZCMPI(@Manufacturer, "TEKTRONIX")
  1.030  MATH         L[2] = ZCMPI(@ModelNum, "TDS 540B")

  1.031  IF           NOT(L[1]) || NOT(L[2])
  1.032  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.032  DISP         not a Tektronix "TDS 540B"!
  1.033  END
  1.034  ENDIF

  1.035  HEAD         EQUIPMENT REQUIREMENTS
  1.036  OPBR         -z Do you want to REVIEW the list of additional
  1.036  OPBR         equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         The following additional equipment and/or accessories
  1.038  DISP         are required:
  1.038  DISP
  1.038  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.038  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.038  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.038  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.038  DISP         - Dual Input Coupler (BNC)
  1.038  DISP         - 50 Ohm Feedthrough (BNC)
  1.039  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.040  CALL         Sub TDS500B Specifications
  1.041  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.042  JMPL         END                          @Abort
  1.043  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.044  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.045  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.046  MATH         @Chan = 1
  1.047  CALL         Sub TDS500B (1 yr) DC Offset IEEE
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub TDS500B (1 yr) DC Offset IEEE
  1.050  MATH         @Chan = 3
  1.051  CALL         Sub TDS500B (1 yr) DC Offset IEEE
  1.052  MATH         @Chan = 4
  1.053  CALL         Sub TDS500B (1 yr) DC Offset IEEE

  1.054  MATH         @Chan = 1
  1.055  M9500                       CH1
  1.056  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.057  MATH         @Chan = 2
  1.058  M9500                       CH2
  1.059  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.060  MATH         @Chan = 3
  1.061  M9500                       CH3
  1.062  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.063  MATH         @Chan = 4
  1.064  M9500                       CH4
  1.065  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500

  1.066  MATH         @Chan = 1
  1.067  M9500                       CH1
  1.068  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.069  MATH         @Chan = 2
  1.070  M9500                       CH2
  1.071  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.072  MATH         @Chan = 3
  1.073  M9500                       CH3
  1.074  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.075  MATH         @Chan = 4
  1.076  M9500                       CH4
  1.077  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.078  JMPL         TIMEBASE_TRIGGER

  1.079  LABEL        DELAY_MATCH
  1.080  MATH         @Chan = 1
  1.081  M9500                       CH1
  1.082  CALL         Sub TDS500B (1 yr) Delay Match IEEE /9500
  1.083  JMPL         OUTPUT_SIGNAL

  1.084  LABEL        TIMEBASE_TRIGGER
  1.085  MATH         @Chan = 1
  1.086  M9500                       CH1
  1.087  CALL         Sub TDS500B (1 yr) Time Base IEEE /9500
  1.088  CALL         Sub TDS500B (1 yr) Trig Time Acc IEEE /9500
  1.089  CALL         Sub TDS500B (1 yr) Trig Level Acc IEEE /9500

  1.090  MATH         @Chan = 1
  1.091  M9500                       CH1
  1.092  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
 # If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.093  OPBR         -z Each channel trig sensitivity test will take about
  1.093  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.093  OPBR         channels to save time, unless desired.
  1.093  OPBR
  1.093  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.093  OPBR         3, and 4?
  1.094  MATH         @TestCh234Sens = MEM1
  1.095  JMPL         MAIN_TRIG_SENS_CH2

  1.096  LABEL        AUX_TRIG_IN

  1.097  IF           @AuxTrigIn
  1.098  MATH         @Chan = 1
  1.099  M9500                       CH14
  1.100  CALL         Sub TDS500B (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.101  ENDIF

  1.102  JMPL         DELAY_MATCH

  1.103  LABEL        MAIN_TRIG_SENS_CH2

  1.104  IF           @TestCh234Sens
  1.105  MATH         Time = 3 * @OptChSensTime
  1.106  DISP         The next routine operator intervention occurs
  1.106  DISP         in approximately [V Time] minutes...
  1.107  MATH         @Chan = 2
  1.108  M9500                       CH2
  1.109  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
  1.110  MATH         @Chan = 3
  1.111  M9500                       CH3
  1.112  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
  1.113  MATH         @Chan = 4
  1.114  M9500                       CH4
  1.115  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
  1.116  ENDIF

  1.117  JMPL         AUX_TRIG_IN

  1.118  LABEL        OUTPUT_SIGNAL
  1.119  M9500                       CH1
  1.120  CALL         Sub TDS500B (1 yr) Output Signal IEEE /9500
  1.121  M9500                       CH1
  1.122  CALL         Sub TDS500B (1 yr) Probe Comp IEEE /9500

  1.123  LABEL        END
  1.124  IEEE2        *RST;DESE 61

  1.125  IF           @Abort
  1.126  DISP         V E R I F I C A T I O N   A B O R T E D
  1.127  ENDIF

  1.128  END
